﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOCOC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_DELORDER_LSC') 
 CREATE TABLE T_OCOCOC_DELORDER_LSC (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FARRIVALDATE DATETIME,
FLOGISTICSCOMPANY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLOGISTICSBILL NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDRIVER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDRIVERTEL NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCARNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSIGNSTATUS CHAR(1) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_DELORDER_DET_X') 
 CREATE TABLE T_OCOCOC_DELORDER_DET_X (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FCOREBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOREBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FCOREBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOREBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FCOREBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLEID BIGINT DEFAULT 0 NOT NULL,
FDELIVEREDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVEREDASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVEREDBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINVQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINVASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINSTALLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINSTALLASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINSTALLBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINVBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSALERETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSALERETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINSALERETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINSALERETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMPURRETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMPURRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINPURRETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINPURRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINDELIVERRECORDBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_DELORDER_DET_F') 
 CREATE TABLE T_OCOCOC_DELORDER_DET_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE CHAR(5) DEFAULT 'NULL' NOT NULL,
FDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_DELORDER_DET') 
 CREATE TABLE T_OCOCOC_DELORDER_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FASSISTATTRID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALASSID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSWAYID BIGINT DEFAULT 0 NOT NULL,
FITEMSALEATTRID BIGINT DEFAULT 0 NOT NULL,
FCHANNELWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FARRIVALDATE DATETIME,
FINSTALLDATE DATETIME,
FSIGNSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FINSTALLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FREMAKE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPAYINGCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSETTLECUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FFROZENSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FFROZENTIME DATETIME,
FCLOSESTATUS CHAR(1) DEFAULT '1' NOT NULL,
FCLOSETIME DATETIME,
FISNEEDINSTALL CHAR(1) DEFAULT '0' NOT NULL,
FDELIVERYSTATUSID BIGINT DEFAULT 0 NOT NULL,
FISNEGATIVESELL CHAR(1) DEFAULT '0' NOT NULL,
FSALEDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FKEEPERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FSERIALNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM VARCHAR(200) DEFAULT ' ' NOT NULL,
FPRODUCEDATE DATETIME,
FEXPIRYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_DELIVERYORDER') 
 CREATE TABLE T_OCOCOC_DELIVERYORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FSIGNSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISTRIBUTIONMODEID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYSTATUSID BIGINT DEFAULT 0 NOT NULL,
FTRADETYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_DELIVERYORDER_X') 
 CREATE TABLE T_OCOCOC_DELIVERYORDER_X (
FID BIGINT DEFAULT 0 NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYCHANNELID BIGINT DEFAULT 0 NOT NULL,
FDELIVERDEPTID BIGINT DEFAULT 0 NOT NULL,
FINVGROUPID BIGINT DEFAULT 0 NOT NULL,
FDELIVEROPERATORID BIGINT DEFAULT 0 NOT NULL,
FCONSIGNEECHANNELID BIGINT DEFAULT 0 NOT NULL,
FRECCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FCONSIGNEE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONSIGNEEPHONE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FADDRESS VARCHAR(36) DEFAULT ' ' NOT NULL,
FDETAILADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FALLADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FPURCHANNELID BIGINT DEFAULT 0 NOT NULL,
FPURCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FMEMBERINFOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_DELIVERYORDER_F') 
 CREATE TABLE T_OCOCOC_DELIVERYORDER_F (
FID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FTAXALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYTYPE CHAR(1) DEFAULT '1' NOT NULL,
FCURTOTALALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_ORDER') 
 CREATE TABLE T_OCOCOC_ORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FVIPCARDID BIGINT DEFAULT 0 NOT NULL,
FSALESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FCASHIERID BIGINT DEFAULT 0 NOT NULL,
FPOSID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEOPTION CHAR(1) DEFAULT '1' NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLEFTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVETYPEID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEMODE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCUSTOMNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLINKTEL VARCHAR(100) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(250) DEFAULT ' ' NOT NULL,
FLINKMAN NVARCHAR(100) DEFAULT ' ' NOT NULL,
FADMINDIVISIONID VARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCBILLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRETURNSALENO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_ORDER_O') 
 CREATE TABLE T_OCOCOC_ORDER_O (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANGEPRICEOPRID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTOPRID BIGINT DEFAULT 0 NOT NULL,
FRETURNOPRID BIGINT DEFAULT 0 NOT NULL,
FGIFTOPRID BIGINT DEFAULT 0 NOT NULL,
FDEBITOPRID BIGINT DEFAULT 0 NOT NULL,
FCASHRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESERVE1 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESERVE2 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESERVE3 NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_ORDERDIST') 
 CREATE TABLE T_OCOCOC_ORDERDIST (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYORGID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYBRANCHID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FSERIALNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM VARCHAR(200) DEFAULT ' ' NOT NULL,
FPRODUCEDATE DATETIME,
FEXPIRYDATE DATETIME,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYUPDATE CHAR(1) DEFAULT 'G' NOT NULL,
FSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYSTATUSID BIGINT DEFAULT 0 NOT NULL,
FISNEGATIVESELL CHAR(1) DEFAULT '0' NOT NULL,
FISRESERVE CHAR(1) DEFAULT '0' NOT NULL,
FRESERVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_ORDERDIST_O') 
 CREATE TABLE T_OCOCOC_ORDERDIST_O (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FCONSIGNEE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPHONENUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FPROVINCEID BIGINT DEFAULT 0 NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL,
FCOUNTYID BIGINT DEFAULT 0 NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFULLADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELIVERY CHAR(1) DEFAULT '0' NOT NULL,
FDELIVERYMODEID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYTIME DATETIME,
FISINSTALL CHAR(1) DEFAULT '0' NOT NULL,
FINSTALLTIME DATETIME,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRETURNREASONID BIGINT DEFAULT 0 NOT NULL,
FRETURNTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FDISTRICTID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_ORDERENTRY') 
 CREATE TABLE T_OCOCOC_ORDERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTOCKSTATUS BIGINT DEFAULT 0 NOT NULL,
FAUXATTRID BIGINT DEFAULT 0 NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOSALESQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FEXPIRYDATE DATETIME,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTREASONID BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FINITIALBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FPROMBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FSALEDEPARTMENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_ORDERENTRY_F') 
 CREATE TABLE T_OCOCOC_ORDERENTRY_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FMANUALDISAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONDISAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOUPONDISAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSHAREDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLINERECEIVEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPECTORDERDATE DATETIME,
FFINALPAYMENTSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINALPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICETYPEID BIGINT DEFAULT 0 NOT NULL,
FISCONTROLPRICE CHAR(1) DEFAULT '0' NOT NULL,
FPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDEXPECTFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_ORDERFINENTRY') 
 CREATE TABLE T_OCOCOC_ORDERFINENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSETTLEID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRID BIGINT DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALCONSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTICKETINFOID BIGINT DEFAULT 0 NOT NULL,
FTICKETTYPEID BIGINT DEFAULT 0 NOT NULL,
FCARDNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FREFERENCENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKACCOUNTNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FORDERNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FPAYWAYTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_ORDERPROMOTE') 
 CREATE TABLE T_OCOCOC_ORDERPROMOTE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FPROMOTIONACTID BIGINT DEFAULT 0 NOT NULL,
FPROMOTIONACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROMOTIONACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISGIFT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_RETAIL') 
 CREATE TABLE T_OCOCOC_RETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRECEIVETYPEID BIGINT DEFAULT 0 NOT NULL,
FVIPCARDID BIGINT DEFAULT 0 NOT NULL,
FSALESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FBIZORGID BIGINT DEFAULT 0 NOT NULL,
FBRANCHID BIGINT DEFAULT 0 NOT NULL,
FCASHIERID BIGINT DEFAULT 0 NOT NULL,
FPOSID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FSALEOPTION CHAR(1) DEFAULT '1' NOT NULL,
FSRCBILLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FRETURNSALENO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FRECEIVEMODE CHAR(5) DEFAULT ' ' NOT NULL,
FINVOICENUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCUSTOMNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FADMINDIVISIONID VARCHAR(100) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLINKMAN NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLINKTEL VARCHAR(100) DEFAULT ' ' NOT NULL,
FORDERSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FERPSTOCKID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_RETAIL_F') 
 CREATE TABLE T_OCOCOC_RETAIL_F (
FID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FNOTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FIGNOREDECIMALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_RETAIL_O') 
 CREATE TABLE T_OCOCOC_RETAIL_O (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANGEPRICEOPRID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTOPRID BIGINT DEFAULT 0 NOT NULL,
FRETURNOPRID BIGINT DEFAULT 0 NOT NULL,
FGIFTOPRID BIGINT DEFAULT 0 NOT NULL,
FDEBITOPRID BIGINT DEFAULT 0 NOT NULL,
FCASHRECEIVERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESERVE1 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESERVE2 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESERVE3 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISPUSH CHAR(1) DEFAULT '0' NOT NULL,
FLASTBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_RETAILDIST') 
 CREATE TABLE T_OCOCOC_RETAILDIST (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FBRANDID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYORGID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYBRANCHID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FSERIALNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FLOTNUM VARCHAR(200) DEFAULT ' ' NOT NULL,
FPRODUCEDATE DATETIME,
FEXPIRYDATE DATETIME,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYUPDATE CHAR(1) DEFAULT 'G' NOT NULL,
FSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYSTATUSID BIGINT DEFAULT 0 NOT NULL,
FISNEGATIVESELL CHAR(1) DEFAULT '0' NOT NULL,
FISRESERVE CHAR(1) DEFAULT '0' NOT NULL,
FRESERVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_RETAILDIST_O') 
 CREATE TABLE T_OCOCOC_RETAILDIST_O (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FCONSIGNEE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPHONENUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FPROVINCEID BIGINT DEFAULT 0 NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL,
FCOUNTYID BIGINT DEFAULT 0 NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFULLADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISDELIVERY CHAR(1) DEFAULT '0' NOT NULL,
FDELIVERYMODEID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYTIME DATETIME,
FISINSTALL CHAR(1) DEFAULT '0' NOT NULL,
FINSTALLTIME DATETIME,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRETURNREASONID BIGINT DEFAULT 0 NOT NULL,
FRETURNTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FDELIVERYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISTRICTID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCDELIVERYENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_RETAILENTRY') 
 CREATE TABLE T_OCOCOC_RETAILENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FCHANNELSTOCKSTATUSID BIGINT DEFAULT 0 NOT NULL,
FDELIVERSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FAUXPROPID BIGINT DEFAULT 0 NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKID BIGINT DEFAULT 0 NOT NULL,
FERPSTOCKPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FSTOCKUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEOUTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT ' ' NOT NULL,
FSERIALID BIGINT DEFAULT 0 NOT NULL,
FSERIALNO BIGINT DEFAULT 0 NOT NULL,
FSTOCKUPDATE CHAR(1) DEFAULT ' ' NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FLOTNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCTDATE DATETIME,
FEXPIRYDATE DATETIME,
FSALEDEPARTMENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_RETAILENTRY_F') 
 CREATE TABLE T_OCOCOC_RETAILENTRY_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASECURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURNOTINTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOTINTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURBALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISPRICEANDTAIGDEC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FMANUALDISAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONDISAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOUPONDISAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSHAREDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLINERECEIVEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPECTORDERDATE DATETIME,
FFINALPAYMENTSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINALPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICETYPEID BIGINT DEFAULT 0 NOT NULL,
FISCONTROLPRICE CHAR(1) DEFAULT '0' NOT NULL,
FPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDFINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_RETAILENTRY_O') 
 CREATE TABLE T_OCOCOC_RETAILENTRY_O (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPROMBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDISCOUNTREASONID BIGINT DEFAULT 0 NOT NULL,
FINITIALBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLBIZTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_RETAILFINENTRY') 
 CREATE TABLE T_OCOCOC_RETAILFINENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSETTLEID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRID BIGINT DEFAULT 0 NOT NULL,
FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCSETTLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTEGRALCONSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTICKETINFOID BIGINT DEFAULT 0 NOT NULL,
FTICKETTYPEID BIGINT DEFAULT 0 NOT NULL,
FCARDNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FREFERENCENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FBANKACCOUNTNO VARCHAR(100) DEFAULT ' ' NOT NULL,
FORDERNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUNDSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FPAYWAYTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_RETAILINVOICE') 
 CREATE TABLE T_OCOCOC_RETAILINVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FDATETIME DATETIME,
FTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FCOMPANYTAXNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBANKCARDNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCUSTOMERADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPDFURL VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOCOC_RETAILPROMOTE') 
 CREATE TABLE T_OCOCOC_RETAILPROMOTE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FBARCODEID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FSALEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FPROMOTIONACTID BIGINT DEFAULT 0 NOT NULL,
FPROMOTIONACTNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPROMOTIONACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISGIFT CHAR(1) DEFAULT '0' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOCOC_table.sql **/
