﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOCOC_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCOCOC_DELORDER_LSC', 'T_OCOCOC_DELORDER_LSC', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_DELORDERLSC_FID') CREATE INDEX IDX_OCOCOC_DELORDERLSC_FID ON T_OCOCOC_DELORDER_LSC ( FID );


 EXEC P_ALTERPK 'PK_OCOCOC_DELORDER_DET_X', 'T_OCOCOC_DELORDER_DET_X', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_DELORDERDETX_FID') CREATE INDEX IDX_OCOCOC_DELORDERDETX_FID ON T_OCOCOC_DELORDER_DET_X ( FID );


 EXEC P_ALTERPK 'PK_OCOCOC_DELORDER_DET_F', 'T_OCOCOC_DELORDER_DET_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_DELORDERDETF_FID') CREATE INDEX IDX_OCOCOC_DELORDERDETF_FID ON T_OCOCOC_DELORDER_DET_F ( FID );


 EXEC P_ALTERPK 'PK_OCOCOC_DELORDER_DET', 'T_OCOCOC_DELORDER_DET', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_DELORDERDET_FID') CREATE INDEX IDX_OCOCOC_DELORDERDET_FID ON T_OCOCOC_DELORDER_DET ( FID );


 EXEC P_ALTERPK 'PK_OCOCOC_DELIVERYORDER', 'T_OCOCOC_DELIVERYORDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_DELORDER_BNO') CREATE INDEX IDX_OCOCOC_DELORDER_BNO ON T_OCOCOC_DELIVERYORDER ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCOCOC_DELIVERYORDER_X', 'T_OCOCOC_DELIVERYORDER_X', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_DELORDERX_STORGID') CREATE INDEX IDX_OCOCOC_DELORDERX_STORGID ON T_OCOCOC_DELIVERYORDER_X ( FSTOCKORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_DELORDERX_ORGID') CREATE INDEX IDX_OCOCOC_DELORDERX_ORGID ON T_OCOCOC_DELIVERYORDER_X ( FORGID );


 EXEC P_ALTERPK 'PK_OCOCOC_DELIVERYORDER_F', 'T_OCOCOC_DELIVERYORDER_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_DELORDERF_SETID') CREATE INDEX IDX_OCOCOC_DELORDERF_SETID ON T_OCOCOC_DELIVERYORDER_F ( FSETTLECURRENCYID );


 EXEC P_ALTERPK 'PK_OCOCOC_ORDER', 'T_OCOCOC_ORDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_ORDER_FBILLNO') CREATE INDEX IDX_OCOCOC_ORDER_FBILLNO ON T_OCOCOC_ORDER ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCOCOC_ORDER_O', 'T_OCOCOC_ORDER_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_ORDERO_CID') CREATE INDEX IDX_OCOCOC_ORDERO_CID ON T_OCOCOC_ORDER_O ( FCHANGEPRICEOPRID );


 EXEC P_ALTERPK 'PK_OCOCOC_ORDERDIST', 'T_OCOCOC_ORDERDIST', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_ORDERDIST_EID') CREATE INDEX IDX_OCOCOC_ORDERDIST_EID ON T_OCOCOC_ORDERDIST ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCOCOC_ORDERDIST_O', 'T_OCOCOC_ORDERDIST_O', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_ORDERDISTO_EID') CREATE INDEX IDX_OCOCOC_ORDERDISTO_EID ON T_OCOCOC_ORDERDIST_O ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCOCOC_ORDERENTRY', 'T_OCOCOC_ORDERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_ORDERENTRY_ID') CREATE INDEX IDX_OCOCOC_ORDERENTRY_ID ON T_OCOCOC_ORDERENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOCOC_ORDERENTRY_F', 'T_OCOCOC_ORDERENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_ORDERENTRYF_ID') CREATE INDEX IDX_OCOCOC_ORDERENTRYF_ID ON T_OCOCOC_ORDERENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_OCOCOC_ORDERFINENTRY', 'T_OCOCOC_ORDERFINENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_ORDERFINENTRY_ID') CREATE INDEX IDX_OCOCOC_ORDERFINENTRY_ID ON T_OCOCOC_ORDERFINENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOCOC_ORDERPROMOTE', 'T_OCOCOC_ORDERPROMOTE', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_ORDERPROMOTE_EID') CREATE INDEX IDX_OCOCOC_ORDERPROMOTE_EID ON T_OCOCOC_ORDERPROMOTE ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCOCOC_RETAIL', 'T_OCOCOC_RETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_RETAIL_FBILLNO') CREATE INDEX IDX_OCOCOC_RETAIL_FBILLNO ON T_OCOCOC_RETAIL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_RETAIL_FBILLDATE') CREATE INDEX IDX_OCOCOC_RETAIL_FBILLDATE ON T_OCOCOC_RETAIL ( FBILLDATE );


 EXEC P_ALTERPK 'PK_OCOCOC_RETAIL_F', 'T_OCOCOC_RETAIL_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_RETAILF_CURRID') CREATE INDEX IDX_OCOCOC_RETAILF_CURRID ON T_OCOCOC_RETAIL_F ( FCURRENCYID );


 EXEC P_ALTERPK 'PK_OCOCOC_RETAIL_O', 'T_OCOCOC_RETAIL_O', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_RETAILO_CID') CREATE INDEX IDX_OCOCOC_RETAILO_CID ON T_OCOCOC_RETAIL_O ( FCHANGEPRICEOPRID );


 EXEC P_ALTERPK 'PK_OCOCOC_RETAILDIST', 'T_OCOCOC_RETAILDIST', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_RETAILDIST_EID') CREATE INDEX IDX_OCOCOC_RETAILDIST_EID ON T_OCOCOC_RETAILDIST ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCOCOC_RETAILDIST_O', 'T_OCOCOC_RETAILDIST_O', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_RETAILDISTO_EID') CREATE INDEX IDX_OCOCOC_RETAILDISTO_EID ON T_OCOCOC_RETAILDIST_O ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCOCOC_RETAILENTRY', 'T_OCOCOC_RETAILENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_RETAILENTRY_FID') CREATE INDEX IDX_OCOCOC_RETAILENTRY_FID ON T_OCOCOC_RETAILENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOCOC_RETAILENTRY_F', 'T_OCOCOC_RETAILENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_RETAILENTRYF_FID') CREATE INDEX IDX_OCOCOC_RETAILENTRYF_FID ON T_OCOCOC_RETAILENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_OCOCOC_RETAILENTRY_O', 'T_OCOCOC_RETAILENTRY_O', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_RETAILENTRYO_FID') CREATE INDEX IDX_OCOCOC_RETAILENTRYO_FID ON T_OCOCOC_RETAILENTRY_O ( FID );


 EXEC P_ALTERPK 'PK_OCOCOC_RETAILFINENTRY', 'T_OCOCOC_RETAILFINENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_RETAILFINENTRY_ID') CREATE INDEX IDX_OCOCOC_RETAILFINENTRY_ID ON T_OCOCOC_RETAILFINENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOCOC_RETAILINVOICE', 'T_OCOCOC_RETAILINVOICE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_RETAILINVOICE_FID') CREATE INDEX IDX_OCOCOC_RETAILINVOICE_FID ON T_OCOCOC_RETAILINVOICE ( FID );


 EXEC P_ALTERPK 'PK_OCOCOC_RETAILPROMOTE', 'T_OCOCOC_RETAILPROMOTE', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOCOC_RETAILPROMOTE_EID') CREATE INDEX IDX_OCOCOC_RETAILPROMOTE_EID ON T_OCOCOC_RETAILPROMOTE ( FENTRYID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOCOC_constraint.sql **/
